Subject: bug#3226: here-document syntax inference and completion is broken

From: Stefan Monnier <[email-masked]>
Date: Tue, 05 May 2009 23:36:20 -0400

> A default emacs install will complete with "EOF\n\nEOF" (in a more
> clever fashion so the rest of the line is undisturbed), and place the
> cursor on the new blank line.  This is incorrect behaviour, as it
> breaks entry of BASH here-strings when the user's intent is
> still ambiguous.

Thanks for your report.  Indeed, sh-mode does not know about
here-strings at all.  I guess waiting for "<<[^<]" is a good idea.
Patches welcome for Emacs-23.2.

        Stefan